Gliffy Confluence Plugin 2.0.2

Release Date: November 12, 2009

 

Today we released the Gliffy Confluence Plugin version 2.0.2. This release includes nearly 20 bug fixes and improvements related to the Confluence integration. Download the latest version of the Gliffy Confluence Plugin here.Three major highlights of this release include:

  • Confluence 3.1 compatibility – Atlassian hasn’t released Confluence 3.1 yet, but that hasn’t stopped us from making sure Gliffy works with this new version. If you’re planning on using Gliffy in Confluence 3.1, you need to upgrade to the Gliffy Confluence Plugin version 2.0.2 to ensure everything works smoothly.
  • Improved workflow when adding diagrams – We’ve reduced the number of clicks by one when adding a new diagram through the ‘Add Diagram’ link.
  • License Expiration Notifications – Administrators of your Confluence installation will now be notified when your Gliffy Confluence Plugin license has 30 days left before it expires. This should help ensure customers don’t get stuck unable to upgrade to a new version of Gliffy by accidentally letting their maintenance period slip by.

 

This will be our last Flash 7 compatible release -This will likely be our last release that includes a Gliffy Editor that works with Flash 7. Our next release will require that users are running Flash 9 or better. Buy adopting Flash 9, our users will see a significant performance improvement when using the Gliffy editor, and we’ll be able to take advantage of some new features in Flash 9 that will benefit everyone. We decided not to jump to Flash 10 since the most recent Flash Enterprise Penetration Statistics from Adobe suggest that Flash 10 is not widely deployed inside the Enterprise yet.

Detailed release notes for the Gliffy Confluence Plugin 2.0.2 are below:

  • [GLIFFY-1360] – Editing diagrams not working anymore after updating to gliffy version 2.0.0
  • [GLIFFY-1454] – The create diagram button text spills over the button on Firefox 3.0/3.5 on Mac
  • [GLIFFY-1528] – Confluence 3.1 compatibility
  • [GLIFFY-1612] – Document Manager does not show spaces in Confluence 3.1-m4 release
  • [GLIFFY-1613] – Remove Pencil icon from Gliffy Plugin Admin link
  • [GLIFFY-1614] – Creating diagram doesn’t work when confluence isn’t hosted at root context
  • [GLIFFY-1660] – URL field is truncating/deleting characters
  • [GLIFFY-1067] – Improve integration with Confluence
  • [GLIFFY-1441] – Links truncated / limit at 100, previusly at least 117 allowed
  • [GLIFFY-1521] – Change ‘Add Diagram’ link to show ‘Add Gliffy Diagram’
  • [GLIFFY-1672] – Copying Confluence Pages causes user confusion when they then edit diagrams
  • [GLIFFY-1415] – When there are only 5 days left in a plugin free trial, send an email to Administrators letting them know
  • [GLIFFY-1416] – Automated emails from Confluence plugins to administrators
  • [GLIFFY-1427] – Admin screen should report the number of Gliffy diagrams that exist in Confluence
  • [GLIFFY-1339] – Let users know that the Gliffy Plugin Trial is about to expire in more locations
  • [GLIFFY-1419] – i18n updates for 2.0.2 release
  • [GLIFFY-1560] – Change references to http://www.gliffy.com/confluencePlugin to http://www.gliffy.com/confluence-plugin